Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.action
Class ReportJobEditAction

    java.lang.Object
      org.springframework.webflow.action.AbstractAction
          org.springframework.webflow.action.MultiAction
              org.springframework.webflow.action.FormAction
                  com.jaspersoft.jasperserver.war.action.ReportJobEditAction

All Implemented Interfaces:
  org.springframework.beans.factory.InitializingBean, org.springframework.webflow.execution.Action

    public class ReportJobEditAction

extends org.springframework.webflow.action.FormAction

Version:
  $Id: ReportJobEditAction.java 10046 2007-09-13 15:06:16Z lucian $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Nested Class Summary
`protected static class` | `ReportJobEditAction.ByteCollectionEditor`
`protected static class` | `ReportJobEditAction.MailAddressesEditor`

Nested classes/interfaces inherited from class org.springframework.webflow.action.MultiAction
`org.springframework.webflow.action.MultiAction.MethodResolver`

Field Summary
`static java.lang.String` | `ATTR_NAME_TRIGGER_ALL_MONTHS`
`static java.lang.String` | `ATTR_NAME_TRIGGER_ALL_WEEK_DAYS`
`static java.lang.String` | `ATTR_NAME_TRIGGER_RECURRENCE_TYPE`
`static java.lang.String` | `EVENT_TRIGGER_ERROR`
`protected static org.apache.commons.logging.Log` | `log`
`static byte` | `RECURRENCE_TYPE_CALENDAR`
`static byte` | `RECURRENCE_TYPE_NONE`
`static byte` | `RECURRENCE_TYPE_SIMPLE`

Fields inherited from class org.springframework.webflow.action.FormAction
`DEFAULT_FORM_OBJECT_NAME, VALIDATOR_METHOD_ATTRIBUTE`

Fields inherited from class org.springframework.webflow.action.AbstractAction
`logger`

Constructor Summary
`ReportJobEditAction()`

Method Summary
`void` | `afterPropertiesSet()`
`protected void` | `copyCommonTriggerAttributes(ReportJobTrigger newTrigger, ReportJobTrigger trigger)`
`protected java.lang.Object` | `createFormObject(org.springframework.webflow.execution.RequestContext context)`
`protected ReportJob` | `createNewReportJob(org.springframework.webflow.execution.RequestContext context)`
`java.lang.String` | `getContentFoldersAttrName()`
`java.lang.String` | `getEditJobIdParamName()`
`java.lang.String` | `getIntervalUnitsAttrName()`
`java.lang.String` | `getIsNewModeAttrName()`
`java.lang.String` | `getLocalesAttrName()`
`LocalesList` | `getLocalesList()`
`org.springframework.context.MessageSource` | `getMessageSource()`
`protected java.util.List` | `getMonths()`
`protected java.util.List` | `getOutputFormats()`
`java.lang.String` | `getOutputFormatsAttrName()`
`protected java.util.List` | `getRecurrenceIntervalUnits()`
`protected ReportJob` | `getReportJob(org.springframework.webflow.execution.RequestContext context)`
`java.lang.String` | `getReportUnitURIAttrName()`
`RepositoryService` | `getRepositoryService()`
`ReportSchedulingService` | `getSchedulingService()`
`java.lang.String` | `getTimeZonesAttrName()`
`TimeZonesList` | `getTimeZonesList()`
`protected byte` | `getTriggerRecurrenceType(ReportJobTrigger trigger)`
`protected java.util.Locale` | `getUserLocale()`
`ValidationErrorsUtils` | `getValidationUtils()`
`protected java.util.List` | `getWeekDays()`
`protected void` | `initBinder(org.springframework.webflow.execution.RequestContext context, org.springframework.validation.DataBinder binder)`
`protected boolean` | `isNewMode(org.springframework.webflow.execution.RequestContext context)`
`protected boolean` | `isTriggerError(JSValidationException e)`
`protected java.lang.String` | `newJobOwnerURI(org.springframework.webflow.execution.RequestContext context)`
`org.springframework.webflow.execution.Event` | `saveJob(org.springframework.webflow.execution.RequestContext context)`
`void` | `setContentFoldersAttrName(java.lang.String contentFoldersAttrName)`
`void` | `setEditJobIdParamName(java.lang.String editJobIdParamName)`
`void` | `setIntervalUnitsAttrName(java.lang.String intervalUnitsAttrName)`
`void` | `setIsNewModeAttrName(java.lang.String isNewModeAttrName)`
`void` | `setLocalesAttrName(java.lang.String localesAttrName)`
`void` | `setLocalesList(LocalesList localesList)`
`void` | `setMessageSource(org.springframework.context.MessageSource messageSource)`
`org.springframework.webflow.execution.Event` | `setNowModeDefaults(org.springframework.webflow.execution.RequestContext context)`
`void` | `setOutputFormatsAttrName(java.lang.String outputFormatsAttrName)`
`org.springframework.webflow.execution.Event` | `setOutputReferenceData(org.springframework.webflow.execution.RequestContext context)`
`void` | `setReportUnitURIAttrName(java.lang.String reportUnitURIAttrName)`
`void` | `setRepositoryService(RepositoryService repositoryService)`
`void` | `setSchedulingService(ReportSchedulingService schedulingService)`
`void` | `setTimeZonesAttrName(java.lang.String timeZonesAttrName)`
`void` | `setTimeZonesList(TimeZonesList timeZonesList)`
`org.springframework.webflow.execution.Event` | `setTriggerRecurrenceCalendar(org.springframework.webflow.execution.RequestContext context)`
`org.springframework.webflow.execution.Event` | `setTriggerRecurrenceNone(org.springframework.webflow.execution.RequestContext context)`
`org.springframework.webflow.execution.Event` | `setTriggerRecurrenceSimple(org.springframework.webflow.execution.RequestContext context)`
`org.springframework.webflow.execution.Event` | `setTriggerReferenceData(org.springframework.webflow.execution.RequestContext context)`
`org.springframework.webflow.execution.Event` | `setupForm(org.springframework.webflow.execution.RequestContext context)`
`void` | `setValidationUtils(ValidationErrorsUtils validationUtils)`

Methods inherited from class org.springframework.webflow.action.FormAction
`bind, bindAndValidate, createBinder, doBind, doValidate, getFormErrors, getFormErrorsScope, getFormObject, getFormObjectAccessor, getFormObjectClass, getFormObjectName, getFormObjectScope, getMessageCodesResolver, getPropertyEditorRegistrar, getValidateMethodInvoker, getValidator, initAction, registerPropertyEditors, registerPropertyEditors, resetForm, setFormErrorsScope, setFormObjectClass, setFormObjectName, setFormObjectScope, setMessageCodesResolver, setPropertyEditorRegistrar, setValidator, validate, validationEnabled`

Methods inherited from class org.springframework.webflow.action.MultiAction
`doExecute, getMethodResolver, setMethodResolver, setTarget`

Methods inherited from class org.springframework.webflow.action.AbstractAction
`doPostExecute, doPreExecute, error, error, execute, getActionNameForLogging, getEventFactorySupport, no, result, result, result, result, success, success, yes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final org.apache.commons.logging.Log log

### RECURRENCE_TYPE_NONE

    public static final byte RECURRENCE_TYPE_NONE

See Also:
  Constant Field Values

### RECURRENCE_TYPE_SIMPLE

    public static final byte RECURRENCE_TYPE_SIMPLE

See Also:
  Constant Field Values

### RECURRENCE_TYPE_CALENDAR

    public static final byte RECURRENCE_TYPE_CALENDAR

See Also:
  Constant Field Values

### ATTR_NAME_TRIGGER_RECURRENCE_TYPE

    public static final java.lang.String ATTR_NAME_TRIGGER_RECURRENCE_TYPE

See Also:
  Constant Field Values

### ATTR_NAME_TRIGGER_ALL_WEEK_DAYS

    public static final java.lang.String ATTR_NAME_TRIGGER_ALL_WEEK_DAYS

See Also:
  Constant Field Values

### ATTR_NAME_TRIGGER_ALL_MONTHS

    public static final java.lang.String ATTR_NAME_TRIGGER_ALL_MONTHS

See Also:
  Constant Field Values

### EVENT_TRIGGER_ERROR

    public static final java.lang.String EVENT_TRIGGER_ERROR

See Also:
  Constant Field Values

Constructor Detail

### ReportJobEditAction

    public ReportJobEditAction()

Method Detail

### getRecurrenceIntervalUnits

    protected java.util.List getRecurrenceIntervalUnits()

### getOutputFormats

    protected java.util.List getOutputFormats()

### getWeekDays

    protected java.util.List getWeekDays()

### getMonths

    protected java.util.List getMonths()

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws java.lang.Exception

  Specified by:
    `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`
  Overrides:
    `afterPropertiesSet` in class `org.springframework.webflow.action.AbstractAction`
  Throws:
    `java.lang.Exception`

### getMessageSource

    public org.springframework.context.MessageSource getMessageSource()

### setMessageSource

    public void setMessageSource(org.springframework.context.MessageSource messageSource)

### getRepositoryService

    public RepositoryService getRepositoryService()

### setRepositoryService

    public void setRepositoryService(RepositoryService repositoryService)

### getSchedulingService

    public ReportSchedulingService getSchedulingService()

### setSchedulingService

    public void setSchedulingService(ReportSchedulingService schedulingService)

### getEditJobIdParamName

    public java.lang.String getEditJobIdParamName()

### setEditJobIdParamName

    public void setEditJobIdParamName(java.lang.String editJobIdParamName)

### getIsNewModeAttrName

    public java.lang.String getIsNewModeAttrName()

### setIsNewModeAttrName

    public void setIsNewModeAttrName(java.lang.String isNewModeAttrName)

### getReportUnitURIAttrName

    public java.lang.String getReportUnitURIAttrName()

### setReportUnitURIAttrName

    public void setReportUnitURIAttrName(java.lang.String reportUnitURIAttrName)

### getContentFoldersAttrName

    public java.lang.String getContentFoldersAttrName()

### setContentFoldersAttrName

    public void setContentFoldersAttrName(java.lang.String contentFoldersAttrName)

### getOutputFormatsAttrName

    public java.lang.String getOutputFormatsAttrName()

### setOutputFormatsAttrName

    public void setOutputFormatsAttrName(java.lang.String outputFormatsAttrName)

### getIntervalUnitsAttrName

    public java.lang.String getIntervalUnitsAttrName()

### setIntervalUnitsAttrName

    public void setIntervalUnitsAttrName(java.lang.String intervalUnitsAttrName)

### getLocalesAttrName

    public java.lang.String getLocalesAttrName()

### setLocalesAttrName

    public void setLocalesAttrName(java.lang.String localesAttrName)

### getLocalesList

    public LocalesList getLocalesList()

### setLocalesList

    public void setLocalesList(LocalesList localesList)

### getTimeZonesAttrName

    public java.lang.String getTimeZonesAttrName()

### setTimeZonesAttrName

    public void setTimeZonesAttrName(java.lang.String timeZonesAttrName)

### getTimeZonesList

    public TimeZonesList getTimeZonesList()

### setTimeZonesList

    public void setTimeZonesList(TimeZonesList timeZonesList)

### getValidationUtils

    public ValidationErrorsUtils getValidationUtils()

### setValidationUtils

    public void setValidationUtils(ValidationErrorsUtils validationUtils)

### initBinder

    protected void initBinder(org.springframework.webflow.execution.RequestContext context,
                              org.springframework.validation.DataBinder binder)

  Overrides:
    `initBinder` in class `org.springframework.webflow.action.FormAction`

### setupForm

    public org.springframework.webflow.execution.Event setupForm(org.springframework.webflow.execution.RequestContext context)
                                                          throws java.lang.Exception

  Overrides:
    `setupForm` in class `org.springframework.webflow.action.FormAction`
  Throws:
    `java.lang.Exception`

### createFormObject

    protected java.lang.Object createFormObject(org.springframework.webflow.execution.RequestContext context)

  Overrides:
    `createFormObject` in class `org.springframework.webflow.action.FormAction`

### createNewReportJob

    protected ReportJob createNewReportJob(org.springframework.webflow.execution.RequestContext context)

### newJobOwnerURI

    protected java.lang.String newJobOwnerURI(org.springframework.webflow.execution.RequestContext context)

### getReportJob

    protected ReportJob getReportJob(org.springframework.webflow.execution.RequestContext context)
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### isNewMode

    protected boolean isNewMode(org.springframework.webflow.execution.RequestContext context)

### setNowModeDefaults

    public org.springframework.webflow.execution.Event setNowModeDefaults(org.springframework.webflow.execution.RequestContext context)
                                                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setOutputReferenceData

    public org.springframework.webflow.execution.Event setOutputReferenceData(org.springframework.webflow.execution.RequestContext context)

### getUserLocale

    protected java.util.Locale getUserLocale()

### setTriggerReferenceData

    public org.springframework.webflow.execution.Event setTriggerReferenceData(org.springframework.webflow.execution.RequestContext context)
                                                                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getTriggerRecurrenceType

    protected byte getTriggerRecurrenceType(ReportJobTrigger trigger)

### setTriggerRecurrenceNone

    public org.springframework.webflow.execution.Event setTriggerRecurrenceNone(org.springframework.webflow.execution.RequestContext context)
                                                                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setTriggerRecurrenceSimple

    public org.springframework.webflow.execution.Event setTriggerRecurrenceSimple(org.springframework.webflow.execution.RequestContext context)
                                                                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setTriggerRecurrenceCalendar

    public org.springframework.webflow.execution.Event setTriggerRecurrenceCalendar(org.springframework.webflow.execution.RequestContext context)
                                                                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### copyCommonTriggerAttributes

    protected void copyCommonTriggerAttributes(ReportJobTrigger newTrigger,
                                               ReportJobTrigger trigger)

### saveJob

    public org.springframework.webflow.execution.Event saveJob(org.springframework.webflow.execution.RequestContext context)
                                                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### isTriggerError

    protected boolean isTriggerError(JSValidationException e)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.